from .item import BaseitemParser, ItemParser
from .spell import SpellParser

__ALL__ = [SpellParser, ItemParser, BaseitemParser]


def get_parser(key: str):
    try:
        return globals()[key.title() + "Parser"]
    except KeyError:
        # raise NotImplementedError(f"Could not find a parser for {key} data.")
        return None
